lang/guile - The NetBSD Packages Collection

GNU's Ubiquitous Intelligent Language for Extension (1.8 branch)

GUILE, GNU's Ubiquitous Intelligent Language for Extension, is a library
that implements the Scheme language plus various convenient facilities.
It's designed so that you can link it into an application or utility to
make it extensible. Our plan is to link this library into all GNU programs
that call for extensibility.

This is an old stable version of guile.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

devel/gmp devel/libltdl devel/readline devel/gmp devel/libltdl devel/readline

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfguile-1.8.8nb11.tgz
NetBSD 8.0earmv7hfguile-1.8.8nb10.tgz
NetBSD 8.0earmv7hfguile-1.8.8nb11.tgz
NetBSD 8.0i386guile-1.8.8nb10.tgz
NetBSD 8.0i386guile-1.8.8nb11.tgz
NetBSD 8.0powerpcguile-1.8.8nb10.tgz
NetBSD 8.0powerpcguile-1.8.8nb11.tgz
NetBSD 8.0powerpcguile-1.8.8nb11.tgz
NetBSD 8.0powerpcguile-1.8.8nb11.tgz
NetBSD 8.0x86_64guile-1.8.8nb10.tgz
NetBSD 8.0x86_64guile-1.8.8nb11.tgz
NetBSD 9.0aarch64guile-1.8.8nb11.tgz
NetBSD 9.0aarch64guile-1.8.8nb10.tgz
NetBSD 9.0aarch64guile-1.8.8nb11.tgz
NetBSD 9.0alphaguile-1.8.8nb11.tgz
NetBSD 9.0alphaguile-1.8.8nb10.tgz
NetBSD 9.0alphaguile-1.8.8nb11.tgz
NetBSD 9.0earmguile-1.8.8nb10.tgz
NetBSD 9.0earmguile-1.8.8nb11.tgz
NetBSD 9.0earmguile-1.8.8nb11.tgz
NetBSD 9.0earmv6hfguile-1.8.8nb11.tgz
NetBSD 9.0earmv6hfguile-1.8.8nb10.tgz
NetBSD 9.0earmv6hfguile-1.8.8nb11.tgz
NetBSD 9.0earmv7hfguile-1.8.8nb11.tgz
NetBSD 9.0earmv7hfguile-1.8.8nb10.tgz
NetBSD 9.0earmv7hfguile-1.8.8nb11.tgz
NetBSD 9.0earmv7hfguile-1.8.8nb11.tgz
NetBSD 9.0i386guile-1.8.8nb10.tgz
NetBSD 9.0i386guile-1.8.8nb11.tgz
NetBSD 9.0i386guile-1.8.8nb11.tgz
NetBSD 9.0m68kguile-1.8.8nb10.tgz
NetBSD 9.0m68kguile-1.8.8nb11.tgz
NetBSD 9.0m68kguile-1.8.8nb11.tgz
NetBSD 9.0mips64ebguile-1.8.8nb11.tgz
NetBSD 9.0mips64ebguile-1.8.8nb10.tgz
NetBSD 9.0mips64ebguile-1.8.8nb10.tgz
NetBSD 9.0mips64ebguile-1.8.8nb10.tgz
NetBSD 9.0mips64ebguile-1.8.8nb11.tgz
NetBSD 9.0mipselguile-1.8.8nb11.tgz
NetBSD 9.0mipselguile-1.8.8nb10.tgz
NetBSD 9.0mipselguile-1.8.8nb10.tgz
NetBSD 9.0mipselguile-1.8.8nb11.tgz
NetBSD 9.0powerpcguile-1.8.8nb11.tgz
NetBSD 9.0powerpcguile-1.8.8nb10.tgz
NetBSD 9.0powerpcguile-1.8.8nb11.tgz
NetBSD 9.0powerpcguile-1.8.8nb11.tgz
NetBSD 9.0sh3elguile-1.8.8nb11.tgz
NetBSD 9.0sh3elguile-1.8.8nb10.tgz
NetBSD 9.0sh3elguile-1.8.8nb10.tgz
NetBSD 9.0sh3elguile-1.8.8nb10.tgz
NetBSD 9.0sh3elguile-1.8.8nb11.tgz
NetBSD 9.0sparc64guile-1.8.8nb11.tgz
NetBSD 9.0sparc64guile-1.8.8nb10.tgz
NetBSD 9.0sparc64guile-1.8.8nb11.tgz
NetBSD 9.0sparcguile-1.8.8nb11.tgz
NetBSD 9.0sparcguile-1.8.8nb10.tgz
NetBSD 9.0sparcguile-1.8.8nb10.tgz
NetBSD 9.0sparcguile-1.8.8nb10.tgz
NetBSD 9.0sparcguile-1.8.8nb11.tgz
NetBSD 9.0vaxguile-1.8.8nb10.tgz
NetBSD 9.0vaxguile-1.8.8nb10.tgz
NetBSD 9.0vaxguile-1.8.8nb11.tgz
NetBSD 9.0vaxguile-1.8.8nb11.tgz
NetBSD 9.0x86_64guile-1.8.8nb11.tgz
NetBSD 9.0x86_64guile-1.8.8nb11.tgz
NetBSD 9.0x86_64guile-1.8.8nb10.tgz
NetBSD 9.0x86_64guile-1.8.8nb11.tgz
NetBSD 9.0x86_64guile-1.8.8nb11.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.